commit 3106e8ccdc0107c1fd3f92eaef77ea9bb856803b
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Thu Mar 21 17:48:56 2019 +0100

    Updated to AMiRo-LLD 1.1:
    - Implementation of periphAL has been modified accordingly.
    - GPIOs are not encoded as port/pad tuple, but as lines
    - Some unittests have been updated due to driver changes.

diff --git a/modules/LightRing_1-2/module.c b/modules/LightRing_1-2/module.c
index 3e61956..f0f3dbc 100644
--- a/modules/LightRing_1-2/module.c
+++ b/modules/LightRing_1-2/module.c
@@ -63,8 +63,8 @@ SerialConfig moduleHalProgIfConfig = {
 SPIConfig moduleHalSpiLightConfig = {
   /* circular buffer mode        */ false,
   /* callback function pointer   */ NULL,
-  /* chip select line port       */ GPIOC,
-  /* chip select line pad number */ GPIOC_LIGHT_XLAT,
+  /* chip select line port       */ PAL_PORT(LINE_LIGHT_XLAT),
+  /* chip select line pad number */ PAL_PAD(LINE_LIGHT_XLAT),
   /* CR1                         */ SPI_CR1_BR_0 | SPI_CR1_BR_1,
   /* CR2                         */ SPI_CR2_RXDMAEN | SPI_CR2_TXDMAEN,
 };
@@ -81,8 +81,7 @@ SPIConfig moduleHalSpiLightConfig = {
  * @brief   LIGHT_BANK output signal GPIO.
  */
 static apalGpio_t _gpioLightBlank = {
-  /* port */ GPIOA,
-  /* pad  */ GPIOA_LIGHT_BLANK,
+  /* line */ LINE_LIGHT_BLANK,
 };
 ROMCONST apalControlGpio_t moduleGpioLightBlank = {
   /* GPIO */ &_gpioLightBlank,
@@ -97,8 +96,7 @@ ROMCONST apalControlGpio_t moduleGpioLightBlank = {
  * @brief   RS232_R_EN_N output signal GPIO.
  */
 static apalGpio_t _gpioRs232En = {
-  /* port */ GPIOA,
-  /* pad  */ GPIOA_RS232_R_EN_N,
+  /* line */ LINE_RS232_R_EN_N,
 };
 ROMCONST apalControlGpio_t moduleGpioRs232En = {
   /* GPIO */ &_gpioRs232En,
@@ -113,8 +111,7 @@ ROMCONST apalControlGpio_t moduleGpioRs232En = {
  * @brief   SW_V33_EN output signal GPIO.
  */
 static apalGpio_t _gpioSwV33En = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_SW_V33_EN,
+  /* line */ LINE_SW_V33_EN,
 };
 ROMCONST apalControlGpio_t moduleGpioSwV33En = {
   /* GPIO */ &_gpioSwV33En,
@@ -129,8 +126,7 @@ ROMCONST apalControlGpio_t moduleGpioSwV33En = {
  * @brief   SW_V42_EN output signal GPIO.
  */
 static apalGpio_t _gpioSwV42En = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_SW_V42_EN,
+  /* line */ LINE_SW_V42_EN,
 };
 ROMCONST apalControlGpio_t moduleGpioSwV42En = {
   /* GPIO */ &_gpioSwV42En,
@@ -145,8 +141,7 @@ ROMCONST apalControlGpio_t moduleGpioSwV42En = {
  * @brief   SW_V50_EN output signal GPIO.
  */
 static apalGpio_t _gpioSwV50En = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_SW_V50_EN,
+  /* line */ LINE_SW_V50_EN,
 };
 ROMCONST apalControlGpio_t moduleGpioSwV50En = {
   /* GPIO */ &_gpioSwV50En,
@@ -161,8 +156,7 @@ ROMCONST apalControlGpio_t moduleGpioSwV50En = {
  * @brief   IO_3 breakout signal GPIO.
  */
 static apalGpio_t _gpioBreakoutIo3 = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_IO_3,
+  /* line */ LINE_IO_3,
 };
 apalControlGpio_t moduleGpioBreakoutIo3 = {
   /* GPIO */ &_gpioBreakoutIo3,
@@ -177,8 +171,7 @@ apalControlGpio_t moduleGpioBreakoutIo3 = {
  * @brief   IO_5 breakout signal GPIO.
  */
 static apalGpio_t _gpioBreakoutIo5 = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_IO_5,
+  /* line */ LINE_IO_5,
 };
 apalControlGpio_t moduleGpioBreakoutIo5 = {
   /* GPIO */ &_gpioBreakoutIo5,
@@ -193,8 +186,7 @@ apalControlGpio_t moduleGpioBreakoutIo5 = {
  * @brief   IO_6 breakout signal GPIO.
  */
 static apalGpio_t _gpioBreakoutIo6 = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_IO_6,
+  /* line */ LINE_IO_6,
 };
 apalControlGpio_t moduleGpioBreakoutIo6 = {
   /* GPIO */ &_gpioBreakoutIo6,
@@ -209,8 +201,7 @@ apalControlGpio_t moduleGpioBreakoutIo6 = {
  * @brief   SYS_UART_DN bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysUartDn = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_SYS_UART_DN,
+  /* line */ LINE_SYS_UART_DN,
 };
 ROMCONST apalControlGpio_t moduleGpioSysUartDn = {
   /* GPIO */ &_gpioSysUartDn,
@@ -225,8 +216,7 @@ ROMCONST apalControlGpio_t moduleGpioSysUartDn = {
  * @brief   IO_7 breakout signal GPIO.
  */
 static apalGpio_t _gpioBreakoutIo7 = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_IO_7,
+  /* line */ LINE_IO_7,
 };
 apalControlGpio_t moduleGpioBreakoutIo7 = {
   /* GPIO */ &_gpioBreakoutIo7,
@@ -241,8 +231,7 @@ apalControlGpio_t moduleGpioBreakoutIo7 = {
  * @brief   IO_8 breakout signal GPIO.
  */
 static apalGpio_t _gpioBreakoutIo8 = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_IO_8,
+  /* line */ LINE_IO_8,
 };
 apalControlGpio_t moduleGpioBreakoutIo8 = {
   /* GPIO */ &_gpioBreakoutIo8,
@@ -257,8 +246,7 @@ apalControlGpio_t moduleGpioBreakoutIo8 = {
  * @brief   IO_4 breakout signal GPIO.
  */
 static apalGpio_t _gpioBreakoutIo4 = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_IO_4,
+  /* line */ LINE_IO_4,
 };
 apalControlGpio_t moduleGpioBreakoutIo4 = {
   /* GPIO */ &_gpioBreakoutIo4,
@@ -273,8 +261,7 @@ apalControlGpio_t moduleGpioBreakoutIo4 = {
  * @brief   IO_1 breakout signal GPIO.
  */
 static apalGpio_t _gpioBreakoutIo1 = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_IO_1,
+  /* line */ LINE_IO_1,
 };
 apalControlGpio_t moduleGpioBreakoutIo1 = {
   /* GPIO */ &_gpioBreakoutIo1,
@@ -289,8 +276,7 @@ apalControlGpio_t moduleGpioBreakoutIo1 = {
  * @brief   IO_2 breakout signal GPIO.
  */
 static apalGpio_t _gpioBreakoutIo2 = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_IO_2,
+  /* line */ LINE_IO_2,
 };
 apalControlGpio_t moduleGpioBreakoutIo2 = {
   /* GPIO */ &_gpioBreakoutIo2,
@@ -305,8 +291,7 @@ apalControlGpio_t moduleGpioBreakoutIo2 = {
  * @brief   LED output signal GPIO.
  */
 static apalGpio_t _gpioLed = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_LED,
+  /* line */ LINE_LED,
 };
 ROMCONST apalControlGpio_t moduleGpioLed = {
   /* GPIO */ &_gpioLed,
@@ -318,27 +303,10 @@ ROMCONST apalControlGpio_t moduleGpioLed = {
 };
 
 /**
- * @brief   LIGHT_XLAT output signal GPIO.
- */
-static apalGpio_t _gpioLightXlat = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_LIGHT_XLAT,
-};
-ROMCONST apalControlGpio_t moduleGpioLightXlat = {
-  /* GPIO */ &_gpioLightXlat,
-  /* meta */ {
-    /* direction      */ APAL_GPIO_DIRECTION_OUTPUT,
-    /* active state   */ TLC5947_LLD_XLAT_ACTIVE_STATE,
-    /* interrupt edge */ APAL_GPIO_EDGE_NONE,
-  },
-};
-
-/**
  * @brief   SW_V18_EN output signal GPIO.
  */
 static apalGpio_t _gpioSwV18En = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SW_V18_EN,
+  /* line */ LINE_SW_V18_EN,
 };
 ROMCONST apalControlGpio_t moduleGpioSwV18En = {
   /* GPIO */ &_gpioSwV18En,
@@ -353,8 +321,7 @@ ROMCONST apalControlGpio_t moduleGpioSwV18En = {
  * @brief   SW_VSYS_EN output signal GPIO.
  */
 static apalGpio_t _gpioSwVsysEn = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SW_VSYS_EN,
+  /* line */ LINE_SW_VSYS_EN,
 };
 ROMCONST apalControlGpio_t moduleGpioSwVsysEn = {
   /* GPIO */ &_gpioSwVsysEn,
@@ -369,8 +336,7 @@ ROMCONST apalControlGpio_t moduleGpioSwVsysEn = {
  * @brief   SYS_UART_UP bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysUartUp = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SYS_UART_UP,
+  /* line */ LINE_SYS_UART_UP,
 };
 ROMCONST apalControlGpio_t moduleGpioSysUartUp = {
   /* GPIO */ &_gpioSysUartUp,
@@ -385,8 +351,7 @@ ROMCONST apalControlGpio_t moduleGpioSysUartUp = {
  * @brief   SYS_PD bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysPd = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SYS_PD_N,
+  /* line */ LINE_SYS_PD_N,
 };
 ROMCONST apalControlGpio_t moduleGpioSysPd = {
   /* GPIO */ &_gpioSysPd,
@@ -401,8 +366,7 @@ ROMCONST apalControlGpio_t moduleGpioSysPd = {
  * @brief   SYS_SYNC bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysSync = {
-  /* port */ GPIOD,
-  /* pad  */ GPIOD_SYS_INT_N,
+  /* line */ LINE_SYS_INT_N,
 };
 ROMCONST apalControlGpio_t moduleGpioSysSync = {
   /* GPIO */ &_gpioSysSync,
@@ -483,7 +447,7 @@ MIC9404xDriver moduleLldPowerSwitchVsys = {
 TLC5947Driver moduleLldLedPwm = {
   /* SPI driver         */ &MODULE_HAL_SPI_LIGHT,
   /* BLANK signal GPIO  */ &moduleGpioLightBlank,
-  /* XLAT signal GPIO   */ &moduleGpioLightXlat,
+  /* XLAT signal GPIO   */ NULL,
 };
 
 /** @} */
